﻿Imports MahApps.Metro.Controls.Dialogs

Class MainWindow

    Private Sub ShowSimpleDialog(sender As Object, e As RoutedEventArgs)
        Dim dialogInstance = New SimpleWpfDialog()
        Dim result = dialogInstance.ShowDialog()
        ' result should be true, false, or nothing
    End Sub

    Private Async Sub ShowMessage(sender As Object, e As RoutedEventArgs)
        Dim result = Await ShowMessageAsync("My title", "The Message", MessageDialogStyle.Affirmative)
    End Sub

    Private Async Sub ShowInput(sender As Object, e As RoutedEventArgs)
        Dim result = Await ShowInputAsync("My Title", "Enter something")
    End Sub

    Private Async Sub ShowLogin(sender As Object, e As RoutedEventArgs)
        Dim result = Await ShowLoginAsync("My Title", "Enter something")
    End Sub

    Private Async Sub ShowProgress(sender As Object, e As RoutedEventArgs)
        Dim progressController = Await ShowProgressAsync("My Title", "Enter something")
        progressController.SetProgress(0)
        For i = 1 To 10
            progressController.SetProgress(i / 10)
            Await Task.Delay(1000)
        Next
    End Sub

End Class
